{
	"name": "form/nc/nc-define/nc-layout-editor/element-property-all.json",
	"element": {
		"measure-memory": {
			"props": {}
		},
		"nc-accordion": {
			"props": {
				"option": {
					"type": ["Object", "Array", "String"]
				}
			}
		},
		"nc-accordion-content": {
			"props": {
				"option": {
					"type": ["Object", "Array", "String"]
				},
				"active": {
					"type": "Boolean",
					"description": "Currently opened item."
				}
			}
		},
		"nc-accordion-title": {
			"props": {
				"option": {
					"type": ["Object", "Array", "String"]
				},
				"active": {
					"type": "Boolean",
					"description": "Currently opened item."
				}
			}
		},
		"nc-background": {
			"props": {}
		},
		"nc-bank-note": {
			"props": {
				"data": {
					"type": "Array"
				},
				"height": {
					"type": "String",
					"default": "10em"
				},
				"scrollbar": {
					"type": "Boolean",
					"default": true
				}
			}
		},
		"nc-barcode": {
			"props": {
				"format": {
					"type": "String",
					"default": "code128"
				},
				"id": {
					"type": "String",
					"default": "nc-barcode-1"
				},
				"codeHeight": {
					"type": ["Number", "String"],
					"default": "60px"
				},
				"codeWidth": {
					"type": ["Number", "String"],
					"description": "Width of a single bar in pixels, default is 2."
				},
				"model": {
					"type": "String",
					"required": true
				},
				"scaleX": {
					"type": ["Number", "String"]
				},
				"scaleY": {
					"type": ["Number", "String"]
				}
			}
		},
		"nc-button": {
			"props": {
				"type": {
					"type": "String",
					"default": "button",
					"description": "Button type, usually \"submit\""
				},
				"text": {
					"type": "String",
					"description": "A button can be have text."
				},
				"icon": {
					"type": ["String", "Array"],
					"description": "A button can be have icon."
				},
				"disabled": {
					"type": ["String", "Boolean", "Object"],
					"description": "A button can show it is currently unable to be interacted with."
				},
				"model": {
					"type": "String",
					"description": "A button can be have translate."
				},
				"size": {
					"type": "String",
					"choices": ["mini", "tiny", "small", "standard", "medium", "large", "big", "huge", "massive"]
				},
				"uiLibrary": {
					"type": "String",
					"description": "User interface library to use."
				}
			}
		},
		"nc-button-group": {
			"props": {}
		},
		"nc-card": {
			"props": {}
		},
		"nc-chart": {
			"props": {
				"options": {
					"type": ["Object"],
					"required": false
				},
				"autoResize": {
					"type": "Boolean",
					"default": true
				},
				"group": {
					"type": "String"
				},
				"initOption": {
					"type": ["Object"],
					"required": false
				},
				"theme": {
					"type": ["String", "Object"],
					"default": "light"
				},
				"update": {
					"type": "Number"
				}
			}
		},
		"nc-chart-demo": {
			"props": {}
		},
		"nc-checkbox": {
			"props": {
				"name": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Boolean"]
				},
				"hdr": {
					"type": "String"
				},
				"disabled": {
					"type": "Boolean"
				},
				"model": {
					"type": "String",
					"required": true
				}
			}
		},
		"nc-clock": {
			"props": {
				"displaySeconds": {
					"type": "Boolean",
					"default": true
				},
				"twelveHour": {
					"type": "Boolean"
				}
			}
		},
		"nc-code-editor": {
			"props": {
				"id": {
					"type": "String",
					"default": "nc-code-editor"
				},
				"code": {
					"type": "String",
					"default": ""
				},
				"language": {
					"type": "String",
					"default": "javascript"
				},
				"lineNumbers": {
					"type": "Boolean",
					"default": true
				}
			}
		},
		"nc-col": {
			"props": {
				"height": {
					"type": "String"
				},
				"style": {
					"type": ["String", "Object"]
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-collapse": {
			"props": {
				"text": {
					"type": "String",
					"default": "Collapse menu"
				},
				"option": {
					"type": ["Object", "Array", "String"]
				},
				"opened": {
					"type": "Boolean",
					"default": false
				}
			}
		},
		"nc-detail": {
			"props": {}
		},
		"nc-divider": {
			"props": {
				"clearing": {
					"type": "Boolean"
				},
				"color": {
					"type": "String"
				},
				"fitted": {
					"type": "Boolean"
				},
				"height": {
					"type": "String"
				},
				"hidden": {
					"type": "Boolean"
				},
				"horizontal": {
					"type": "Boolean"
				},
				"inverted": {
					"type": "Boolean"
				},
				"vertical": {
					"type": "Boolean"
				}
			}
		},
		"nc-dockview": {
			"props": {}
		},
		"nc-document-preview": {
			"props": {
				"name": {
					"type": "String"
				},
				"id": {
					"type": "String",
					"default": "nc-document-preview-canvas"
				},
				"loadable": {
					"type": "Boolean",
					"default": true
				},
				"passwordCallback": {
					"type": ["Function"]
				},
				"src": {
					"type": ["String", "Object"],
					"default": ""
				},
				"viewStyle": {
					"type": "String"
				}
			}
		},
		"nc-droparea": {
			"props": {
				"icon": {
					"type": "String",
					"default": "",
					"required": false
				},
				"clickable": {
					"type": "Boolean",
					"default": true,
					"required": false
				},
				"multiple": {
					"type": "Boolean",
					"default": false,
					"required": false
				}
			}
		},
		"nc-dropdown": {
			"props": {
				"id": {
					"type": "String"
				},
				"icon": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Array"]
				},
				"array": {
					"type": "Array"
				},
				"blur": {
					"type": "Function"
				},
				"clearable": {
					"type": "Boolean"
				},
				"disabled": {
					"type": "Boolean"
				},
				"dropdownStyle": {
					"type": ["String", "Object"]
				},
				"focus": {
					"type": "Function"
				},
				"itemClass": {
					"type": ["String", "Object"]
				},
				"model": {
					"type": "String"
				},
				"multiple": {
					"type": "Boolean"
				},
				"placeholder": {
					"type": "String"
				},
				"saveAsText": {
					"type": "Boolean"
				},
				"search": {
					"type": "Boolean",
					"default": true
				},
				"selectIcons": {
					"type": "Boolean",
					"description": "A dropdown shows add all and remove all -icons."
				},
				"selected": {
					"type": "Boolean"
				},
				"selection": {
					"type": "Boolean",
					"default": true
				}
			}
		},
		"nc-dynamic-property": {
			"props": {}
		},
		"nc-error-page": {
			"props": {}
		},
		"nc-form": {
			"props": {
				"id": {
					"type": "String",
					"description": "Form message id."
				},
				"showMessage": {
					"type": "Boolean",
					"default": true,
					"description": "Do not show messages if this nc-form."
				},
				"size": {
					"type": "String",
					"description": "Form size."
				}
			}
		},
		"nc-form-field": {},
		"nc-form-fields": {
			"props": {
				"height": {
					"type": "String"
				},
				"style": {
					"type": ["String", "Object"]
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-gantt-chart": {
			"props": {
				"data": {
					"type": "Object",
					"required": true
				},
				"update": {
					"type": ["String", "Number", "Object"],
					"required": false
				}
			}
		},
		"nc-grid": {
			"doesExternalFilterPass": {
				"required": false
			},
			"enterMovesDown": {
				"required": false
			},
			"enterNavigatesVerticallyAfterEdit": {
				"default": true,
				"required": false
			},
			"externalFilterAfter": {
				"required": false
			},
			"height": {
				"required": false
			},
			"isExternalFilterPresent": {
				"type": [null, null],
				"required": false
			},
			"modal": {
				"required": false
			},
			"model": {
				"required": true
			},
			"person": {
				"required": false
			},
			"rowMultiSelectWithClick": {
				"required": false
			},
			"rowSelection": {
				"default": "multiple",
				"required": false
			},
			"stopEditingWhenCellsLoseFocus": {
				"default": true,
				"required": false
			},
			"suppressClickEdit": {
				"default": true,
				"required": false
			},
			"suppressMenu": {
				"default": false,
				"required": false
			},
			"suppressRowClickSelection": {
				"required": false
			},
			"suppressRowDeselection": {
				"required": false
			}
		},
		"nc-group": {
			"props": {}
		},
		"nc-group-footer": {
			"props": {}
		},
		"nc-group-header": {
			"props": {}
		},
		"nc-header": {
			"props": {
				"text": {
					"type": "String"
				},
				"hdr": {
					"type": "String"
				},
				"height": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["Object", "String"]
				},
				"model": {
					"type": "String",
					"required": false
				},
				"size": {
					"type": "String",
					"default": "medium"
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-help-manager": {
			"props": {}
		},
		"nc-href": {
			"props": {}
		},
		"nc-html-editor": {
			"props": {
				"tag": {
					"type": "String",
					"default": ""
				},
				"value": {
					"type": ["Object", "String"]
				},
				"attachment": {
					"type": "Array"
				},
				"attachmentPath": {
					"type": "String",
					"default": "report"
				},
				"editable": {
					"type": "Boolean",
					"default": true
				}
			}
		},
		"nc-icon": {
			"props": {
				"icon": {
					"type": ["String", "Array"],
					"default": "question-circle"
				}
			}
		},
		"nc-image": {
			"props": {
				"background": {
					"type": "String",
					"required": false
				},
				"imageStyle": {
					"type": ["String", "Object"],
					"required": false
				},
				"placeholder": {
					"type": "String",
					"required": false
				},
				"src": {
					"type": "String",
					"required": false
				},
				"srcset": {
					"type": "String",
					"required": false
				}
			}
		},
		"nc-include": {
			"props": {
				"id": {
					"type": "String"
				},
				"include": {
					"type": "String"
				},
				"inline": {
					"type": "Boolean"
				}
			}
		},
		"nc-input": {
			"props": {
				"name": {
					"type": "String"
				},
				"type": {
					"type": "String",
					"default": "text"
				},
				"id": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Number", "Boolean"]
				},
				"hdr": {
					"type": "String"
				},
				"autocomplete": {
					"type": "String"
				},
				"blur": {
					"type": "Function"
				},
				"calendarType": {
					"type": "String"
				},
				"clean": {
					"type": ["Boolean", "String"]
				},
				"containerStyle": {
					"type": "String"
				},
				"decimals": {
					"type": "Number"
				},
				"disabled": {
					"type": "Boolean"
				},
				"endCalendar": {
					"type": "String"
				},
				"focus": {
					"type": "Function"
				},
				"height": {
					"type": "String"
				},
				"horizontal": {
					"type": "Boolean",
					"default": true
				},
				"hover": {
					"type": "String"
				},
				"inputClass": {
					"type": ["String", "Array"]
				},
				"inputStyle": {
					"type": "String"
				},
				"inputWidth": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["String", "Object"]
				},
				"labelWidth": {
					"type": "String"
				},
				"model": {
					"type": "String"
				},
				"placeholder": {
					"type": "String"
				},
				"prefix": {
					"type": "String"
				},
				"readonly": {
					"type": "Boolean"
				},
				"required": {
					"type": "Boolean",
					"default": false
				},
				"rows": {
					"type": "String",
					"default": "auto"
				},
				"startCalendar": {
					"type": "String"
				},
				"startMode": {
					"type": "String"
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-json": {
			"props": {
				"data": {
					"type": ["Object", "Array", "String"]
				}
			}
		},
		"nc-label": {
			"props": {
				"text": {
					"type": "String"
				},
				"hdr": {
					"type": "String"
				},
				"height": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["Object", "String"]
				},
				"model": {
					"type": "String",
					"required": false
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-label-dropdown": {
			"props": {
				"id": {
					"type": "String"
				},
				"icon": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Array"]
				},
				"hdr": {
					"type": "String"
				},
				"array": {
					"type": "Array"
				},
				"blur": {
					"type": "Function"
				},
				"clearable": {
					"type": "Boolean"
				},
				"disabled": {
					"type": "Boolean"
				},
				"dropdownStyle": {
					"type": ["String", "Object"]
				},
				"focus": {
					"type": "Function"
				},
				"hdrModel": {
					"type": "String"
				},
				"horizontal": {
					"type": "Boolean",
					"default": true
				},
				"itemClass": {
					"type": ["String", "Object"]
				},
				"labelStyle": {
					"type": ["String", "Object"]
				},
				"model": {
					"type": "String"
				},
				"multiple": {
					"type": "Boolean"
				},
				"placeholder": {
					"type": "String"
				},
				"saveAsText": {
					"type": "Boolean"
				},
				"search": {
					"type": "Boolean",
					"default": true
				},
				"selectIcons": {
					"type": "Boolean",
					"description": "A dropdown shows add all and remove all -icons."
				},
				"selected": {
					"type": "Boolean"
				},
				"selection": {
					"type": "Boolean",
					"default": true
				}
			}
		},
		"nc-label-input": {
			"props": {
				"name": {
					"type": "String"
				},
				"type": {
					"type": "String",
					"default": "text"
				},
				"id": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Number", "Boolean"]
				},
				"hdr": {
					"type": "String"
				},
				"autocomplete": {
					"type": "String"
				},
				"blur": {
					"type": "Function"
				},
				"calendarType": {
					"type": "String"
				},
				"clean": {
					"type": ["Boolean", "String"]
				},
				"containerStyle": {
					"type": "String"
				},
				"decimals": {
					"type": "Number"
				},
				"disabled": {
					"type": "Boolean"
				},
				"endCalendar": {
					"type": "String"
				},
				"focus": {
					"type": "Function"
				},
				"height": {
					"type": "String"
				},
				"horizontal": {
					"type": "Boolean",
					"default": true
				},
				"hover": {
					"type": "String"
				},
				"inputClass": {
					"type": ["String", "Array"]
				},
				"inputStyle": {
					"type": "String"
				},
				"inputWidth": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["String", "Object"]
				},
				"labelWidth": {
					"type": "String"
				},
				"model": {
					"type": "String"
				},
				"placeholder": {
					"type": "String"
				},
				"prefix": {
					"type": "String"
				},
				"readonly": {
					"type": "Boolean"
				},
				"required": {
					"type": "Boolean",
					"default": false
				},
				"rows": {
					"type": "String",
					"default": "auto"
				},
				"startCalendar": {
					"type": "String"
				},
				"startMode": {
					"type": "String"
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-label-textarea": {
			"props": {
				"name": {
					"type": "String"
				},
				"type": {
					"type": "String",
					"default": "text"
				},
				"id": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Number", "Boolean"]
				},
				"hdr": {
					"type": "String"
				},
				"autocomplete": {
					"type": "String"
				},
				"blur": {
					"type": "Function"
				},
				"calendarType": {
					"type": "String"
				},
				"clean": {
					"type": ["Boolean", "String"]
				},
				"containerStyle": {
					"type": "String"
				},
				"decimals": {
					"type": "Number"
				},
				"disabled": {
					"type": "Boolean"
				},
				"endCalendar": {
					"type": "String"
				},
				"focus": {
					"type": "Function"
				},
				"height": {
					"type": "String"
				},
				"horizontal": {
					"type": "Boolean",
					"default": true
				},
				"hover": {
					"type": "String"
				},
				"inputClass": {
					"type": ["String", "Array"]
				},
				"inputStyle": {
					"type": "String"
				},
				"inputWidth": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["String", "Object"]
				},
				"labelWidth": {
					"type": "String"
				},
				"model": {
					"type": "String"
				},
				"placeholder": {
					"type": "String"
				},
				"prefix": {
					"type": "String"
				},
				"readonly": {
					"type": "Boolean"
				},
				"required": {
					"type": "Boolean",
					"default": false
				},
				"rows": {
					"type": "String",
					"default": "auto"
				},
				"startCalendar": {
					"type": "String"
				},
				"startMode": {
					"type": "String"
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-layout-editor": {
			"props": {
				"layout": {
					"type": "String",
					"description": "Layout to load."
				}
			}
		},
		"nc-lazy": {
			"props": {
				"tag": {
					"type": "String",
					"default": "div"
				}
			}
		},
		"nc-line": {
			"props": {}
		},
		"nc-line-v": {
			"props": {
				"height": {
					"type": "String",
					"required": false
				}
			}
		},
		"nc-link": {
			"props": {
				"callback": {
					"type": "Function",
					"required": true
				},
				"model": {
					"type": "Array",
					"required": true
				}
			}
		},
		"nc-login": {
			"props": {}
		},
		"nc-markdown-editor": {
			"props": {
				"id": {
					"type": "String",
					"default": "NcMarkdownEditor"
				},
				"value": {
					"type": "String",
					"default": ""
				},
				"config": {
					"type": "Object"
				},
				"height": {
					"type": "String"
				}
			}
		},
		"nc-memory-stats": {
			"props": {}
		},
		"nc-menu": {},
		"nc-menu-item": {
			"props": {
				"icon": {
					"type": "String"
				},
				"option": {
					"type": ["Object", "Array", "String"]
				},
				"active": {
					"type": "Boolean",
					"description": "Currently the active item."
				},
				"disabled": {
					"type": "Boolean"
				},
				"to": {
					"type": "String"
				}
			}
		},
		"nc-message-ui": {
			"props": {
				"msg": {
					"type": "Object",
					"description": "Object containing at least text tag."
				}
			}
		},
		"nc-modal": {
			"props": {
				"show": {
					"type": "Boolean",
					"default": false
				},
				"cancelText": {
					"type": "String"
				},
				"closeOnClick": {
					"type": "Boolean",
					"default": false
				},
				"content": {
					"type": "String"
				},
				"header": {
					"type": "String"
				},
				"okText": {
					"type": "String"
				}
			}
		},
		"nc-page-header": {
			"props": {}
		},
		"nc-payment": {
			"props": {}
		},
		"nc-pdf-viewer": {
			"props": {
				"name": {
					"type": "String"
				},
				"passwordCallback": {
					"type": "Function"
				},
				"src": {
					"type": ["String", "Object"]
				}
			}
		},
		"nc-picture-button": {
			"props": {
				"icon": {
					"type": ["String", "Array"],
					"description": "A button can be have icon."
				},
				"disabled": {
					"type": ["String", "Boolean", "Object"],
					"description": "A button can show it is currently unable to be interacted with."
				},
				"size": {
					"type": "String",
					"choices": ["mini", "tiny", "small", "standard", "medium", "large", "big", "huge", "massive"]
				},
				"uiLibrary": {
					"type": "String",
					"description": "User interface library to use."
				}
			}
		},
		"nc-popup": {
			"props": {
				"basic": {
					"type": "Boolean",
					"description": "Display the popup without the pointing arrow."
				},
				"content": {
					"type": "String",
					"description": "Simple text content for the popover."
				},
				"flowing": {
					"type": "Boolean",
					"description": "A flowing Popup has no maximum width and continues to flow to fit its content."
				},
				"header": {
					"type": "String",
					"description": "Header displayed above the content in bold."
				},
				"hoverable": {
					"type": "Boolean",
					"description": "Whether the popup should not close on hover."
				},
				"inverted": {
					"type": "Boolean",
					"description": "Invert the colors of the Popup."
				},
				"position": {
					"type": "String",
					"allowed": ["top left", "top right", "bottom right", "bottom left", "right center", "left center", "top center", "bottom center"],
					"default": "top left",
					"description": "Position for the popover."
				},
				"size": {
					"type": "String",
					"allowed": ["mini", "tiny", "small", "large", "huge"],
					"default": "small",
					"description": "Popup size."
				},
				"wide": {
					"type": "String",
					"allowed": ["wide", "very wide"],
					"description": "Popup width."
				}
			}
		},
		"nc-popup-content": {
			"props": {}
		},
		"nc-popup-header": {
			"props": {}
		},
		"nc-privacy-policy": {
			"props": {}
		},
		"nc-progress-bar": {
			"props": {
				"active": {
					"type": "String"
				},
				"attached": {
					"type": "String"
				},
				"disabled": {
					"type": "String"
				},
				"inverted": {
					"type": "String"
				},
				"message": {
					"type": "String"
				},
				"percent": {
					"type": "Number",
					"default": 0
				},
				"position": {
					"type": "String",
					"allowed": ["top", "bottom"]
				},
				"size": {
					"type": "String",
					"allowed": ["tiny", "small", "large", "big"],
					"description": "Progress size."
				},
				"status": {
					"type": "String",
					"allowed": ["success", "warning", "error"],
					"description": "status shows color."
				}
			}
		},
		"nc-radio": {
			"props": {
				"name": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Boolean"]
				},
				"hdr": {
					"type": "String"
				},
				"disabled": {
					"type": "Boolean"
				},
				"model": {
					"type": "String",
					"required": true
				}
			}
		},
		"nc-rect": {
			"props": {}
		},
		"nc-recursive": {
			"props": {
				"element": {
					"type": 0,
					"required": true
				}
			}
		},
		"nc-register": {
			"props": {}
		},
		"nc-router-view": {},
		"nc-row": {
			"props": {
				"height": {
					"type": "String"
				},
				"style": {
					"type": ["String", "Object"]
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-segment": {
			"props": {
				"text": {
					"type": "String"
				},
				"option": {
					"type": ["Object", "Array", "String"]
				},
				"hdr": {
					"type": "String"
				},
				"model": {
					"type": "String"
				}
			}
		},
		"nc-sidebar": {
			"props": {
				"id": {
					"type": "String"
				},
				"content": {
					"type": "Array"
				},
				"direction": {
					"type": "String",
					"default": "left"
				},
				"header": {
					"type": "Object"
				},
				"showText": {
					"type": "Boolean",
					"default": true
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-span": {
			"props": {
				"text": {
					"type": ["String", "Object"]
				},
				"style": {
					"type": ["String", "Object"]
				}
			}
		},
		"nc-splitter": {
			"props": {}
		},
		"nc-svg": {
			"props": {
				"height": {
					"type": ["Number", "String"],
					"default": 18
				},
				"iconColor": {
					"type": "String",
					"default": "currentColor"
				},
				"iconName": {
					"type": "String",
					"default": ""
				},
				"viewBox": {
					"type": "String",
					"default": "0 0 24 24"
				},
				"width": {
					"type": ["Number", "String"],
					"default": 18
				}
			}
		},
		"nc-svg-map": {
			"props": {
				"highlight": {
					"type": "Array"
				},
				"hover": {
					"type": "Array"
				},
				"svg": {
					"type": "String",
					"required": true
				}
			}
		},
		"nc-tab": {
			"props": {
				"id": {
					"type": "String"
				},
				"class": {
					"type": ["Object", "Array", "String"]
				},
				"itemStyle": {
					"type": ["Array", "Object", "String"]
				},
				"model": {
					"type": "String"
				},
				"style": {
					"type": ["Array", "Object", "String"]
				}
			}
		},
		"nc-terms-and-conditions": {
			"props": {}
		},
		"nc-textarea": {
			"props": {
				"name": {
					"type": "String"
				},
				"type": {
					"type": "String",
					"default": "text"
				},
				"id": {
					"type": "String"
				},
				"value": {
					"type": ["String", "Number", "Boolean"]
				},
				"hdr": {
					"type": "String"
				},
				"autocomplete": {
					"type": "String"
				},
				"blur": {
					"type": "Function"
				},
				"calendarType": {
					"type": "String"
				},
				"clean": {
					"type": ["Boolean", "String"]
				},
				"containerStyle": {
					"type": "String"
				},
				"decimals": {
					"type": "Number"
				},
				"disabled": {
					"type": "Boolean"
				},
				"endCalendar": {
					"type": "String"
				},
				"focus": {
					"type": "Function"
				},
				"height": {
					"type": "String"
				},
				"horizontal": {
					"type": "Boolean",
					"default": true
				},
				"hover": {
					"type": "String"
				},
				"inputClass": {
					"type": ["String", "Array"]
				},
				"inputStyle": {
					"type": "String"
				},
				"inputWidth": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["String", "Object"]
				},
				"labelWidth": {
					"type": "String"
				},
				"model": {
					"type": "String"
				},
				"placeholder": {
					"type": "String"
				},
				"prefix": {
					"type": "String"
				},
				"readonly": {
					"type": "Boolean"
				},
				"required": {
					"type": "Boolean",
					"default": false
				},
				"rows": {
					"type": "String",
					"default": "auto"
				},
				"startCalendar": {
					"type": "String"
				},
				"startMode": {
					"type": "String"
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-translate": {
			"props": {
				"text": {
					"type": "String"
				},
				"hdr": {
					"type": "String"
				},
				"height": {
					"type": "String"
				},
				"labelStyle": {
					"type": ["Object", "String"]
				},
				"model": {
					"type": "String",
					"required": false
				},
				"width": {
					"type": "String"
				}
			}
		},
		"nc-virtual-scroll": {
			"props": {
				"buffer": {
					"type": "Number",
					"default": 25
				},
				"data": {
					"type": "Array"
				},
				"dataKey": {
					"type": "String",
					"default": "id"
				},
				"height": {
					"type": "String",
					"default": "10em"
				},
				"preCalc": {
					"type": "Number",
					"default": 0
				}
			}
		},
		"nc3d-object": {
			"props": {
				"height": {
					"type": "String",
					"default": "30vh"
				},
				"path": {
					"type": "String"
				},
				"renderer": {
					"type": "String",
					"default": "babylon"
				}
			}
		}
	}
}
